Bug 841403

Summary: qemu-system-ppc64 needs a SLOF binary
Product: [Fedora] Fedora Reporter: Benjamin Herrenschmidt <benh>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: amit.shah, berrange, cfergeau, crobinso, dwmw2, itamar, knoel, pbonzini, rjones, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 10:43:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Benjamin Herrenschmidt 2012-07-18 17:50:20 EDT
Description of problem:

In order to build a working qemu-system-ppc64 capable of emulating pSeries
platforms (which is a pre-req to be able to do KVM on pSeries but is also generally useful to do things like distro testing without appropriate hardware), we need a SLOF firmware binary to run inside the guest.

This binary is shipped with qemu (pc-bios/slof.bin) and the source code is a sub-module (originating from a git tree on github). SLOF is open source and BSD licenced.

Ideally a separate package would be needed for SLOF similar to what is done for the x86 BIOSes used in qemu, but that would mean having a ppc64 cross toolchain to build that package on other architectures.

The other option is to seek an exception to simply include the binary that is shipped as part of qemu source.

Version-Release number of selected component (if applicable):

1.0.1+

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2012-07-18 17:57:23 EDT
Do you happen to know what precise packages would need to be
in the cross-chain?  I'm guess binutils, gcc only?  It might
be do-able if it's only a couple of packages.
Comment 2 Benjamin Herrenschmidt 2012-07-18 17:59:50 EDT
A minimal binutils+gcc would do yes (ie, a gcc without glibc that can build kernels but not userspace binaries should do).
Comment 3 Cole Robinson 2012-07-24 15:17:48 EDT
I've sent mail to the fedora packaging list requesting an exception:

http://lists.fedoraproject.org/pipermail/packaging/2012-July/008557.html
Comment 4 Cole Robinson 2012-08-07 10:43:50 EDT
SLOF is packaged now, so closing this. The actual qemu packaging changes will be done as part of https://bugzilla.redhat.com/show_bug.cgi?id=844502